### Method

# GVnc Connection set_audio_format

#### Declaration [src]

    gboolean
    vnc_connection_set_audio_format (
      VncConnection* conn,
      const VncAudioFormat* fmt
    )

#### Description [src]

Set the audio format specification to use for playback from the remote session. The format should only be set when the audio stream is not active, otherwise it will be impossible to determine when the server has switched to sending data in the new format.

#### Parameters

`fmt`

  Type: `VncAudioFormat`

  The audio format.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE if the connection is ok, FALSE if it has an error.